# MongoGridFSFile::write

(PECL mongo >=0.9.0)

MongoGridFSFile::write — Writes this file to the filesystem

### Description

public MongoGridFSFile::write ([ string `$filename` = `NULL` ] ) : int

### Parameters

`filename`

  The location to which to write the file. If none is given, the stored filename will be used.

### Return Values

Returns the number of bytes written.

### Examples

Example #1 MongoGridFSFile::write() example

`<?php
$images = $db->my_db->getGridFS('images');
$image = $images->findOne('jwage.png');
$image->write('/path/to/write/jwage.png');
?>`